libqt5concurrent-devel-5.2.0-2.5.mga4.i586.rpm


Advertisement

Description

libqt5concurrent-devel - Devel files needed to build apps based on QtConcurrent

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqt5concurrent-devel
Package version 5.2.0
Package release 2.5.mga4
Package architecture i586
Package type rpm
Installed size 174.78 KB
Download size 27.58 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Devel files needed to build apps based on QtConcurrent.

Alternatives

Package Version Architecture Repository
libqt5concurrent-devel-5.2.0-2.4.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5concurrent-devel-5.2.0-2.3.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5concurrent-devel-5.2.0-2.mga4.i586.rpm 5.2.0 i586 Mageia Core
libqt5concurrent-devel - - -

Requires

Name Value
devel(libQt5Core) -
devel(libgcc_s) -
devel(libstdc++) -
libqt5concurrent5 == 5.2.0
pkgconfig -
pkgconfig(Qt5Core) -
qtbase5-common == 5.2.0
qtbase5-common-devel == 5.2.0-2.5.mga4

Provides

Name Value
devel(libQt5Concurrent) -
libqt5concurrent-devel == 5.2.0
libqt5concurrent-devel == 5.2.0-2.5.mga4
libqt5concurrent-devel(x86-32) == 5.2.0-2.5.mga4
libqtconcurrent5-devel == 5.2.0
pkgconfig(Qt5Concurrent) == 5.2.0
qt5concurrent-devel == 5.2.0
qtconcurrent5-devel == 5.2.0

Download

Type URL
Binary Package libqt5concurrent-devel-5.2.0-2.5.mga4.i586.rpm
Source Package qtbase5-5.2.0-2.5.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5concurrent-devel rpm package:
    # urpmi libqt5concurrent-devel

Files

Path
/usr/lib/libQt5Concurrent.prl
/usr/lib/libQt5Concurrent.so
/usr/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake
/usr/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfigVersion.cmake
/usr/lib/pkgconfig/Qt5Concurrent.pc
/usr/lib/qt5/include/QtConcurrent/QtConcurrent
/usr/lib/qt5/include/QtConcurrent/QtConcurrentDepends
/usr/lib/qt5/include/QtConcurrent/QtConcurrentFilter
/usr/lib/qt5/include/QtConcurrent/QtConcurrentMap
/usr/lib/qt5/include/QtConcurrent/QtConcurrentRun
/usr/lib/qt5/include/QtConcurrent/QtConcurrentVersion
/usr/lib/qt5/include/QtConcurrent/qtconcurrent_global.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentcompilertest.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentexception.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentfilter.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentfilterkernel.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentfunctionwrappers.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentiteratekernel.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentmap.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentmapkernel.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentmedian.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentreducekernel.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentrun.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentrunbase.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentstoredfunctioncall.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentthreadengine.h
/usr/lib/qt5/include/QtConcurrent/qtconcurrentversion.h

Changelog

2015-04-22 - luigiwalser <luigiwalser> 5.2.0-2.5.mga4
+ Revision: 820559
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
- add patch from upstream via fedora to fix CVE-2014-0190
+ lmenut <lmenut>
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
libqt5concurrent5-5.2.0-2.3.mga4.i586.rpm Qt5 3D Lib
libqt5concurrent5-5.2.0-2.4.mga4.i586.rpm Qt5 3D Lib
libqt5concurrent5-5.2.0-2.5.mga4.i586.rpm Qt5 3D Lib
libqt5core-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5core5-5.2.0-2.3.mga4.i586.rpm Qt5 Component Library
libqt5core5-5.2.0-2.4.mga4.i586.rpm Qt5 Component Library
libqt5core5-5.2.0-2.5.mga4.i586.rpm Qt5 Component Library
libqt5dbus-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5dbus-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtCore
libqt5dbus-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtCore
Advertisement
Advertisement